#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		pytver		%(basename %{__python})
%define		_builddir	%{_topdir}/BUILD_%{pytver}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-sphinx
Version		:	7.2.6
Release		:	17.2.0.rel%{?dist}
Summary		:	Documentation tool
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/sphinx-doc/sphinx/tags

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{pytver}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python3-Jinja2
BuildRequires	:	python3-Pygments
BuildRequires	:	python3-requests
BuildRequires	:	python3-setuptools

BuildArch	:	noarch

Requires	:	Babel
Requires	:	python3-alabaster

Requires	:	Babel
Requires	:	%{pytver}-alabaster
Requires	:	%{pytver}-certifi
Requires	:	%{pytver}-chardet
Requires	:	%{pytver}-docutils
Requires	:	%{pytver}-idna
Requires	:	%{pytver}-imagesize_py
Requires	:	%{pytver}-Jinja2
Requires	:	python-packaging
Requires	:	python-pyparsing
Requires	:	%{pytver}-pytz
Requires	:	%{pytver}-requests
Requires	:	%{pytver}-six
Requires	:	%{pytver}-sphinxcontrib-applehelp
Requires	:	%{pytver}-sphinxcontrib-devhelp
Requires	:	%{pytver}-sphinxcontrib-htmlhelp
Requires	:	%{pytver}-sphinxcontrib-jsmath
Requires	:	%{pytver}-sphinxcontrib-qthelp
Requires	:	%{pytver}-sphinxcontrib-serializinghtml
Requires	:	%{pytver}-urllib3

#-----------------------------------------------------------------------------
%description
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of multiple
reStructuredText sources), written by Georg Brandl.  It was originally created
for the new Python documentation, and has excellent facilities for Python
project documentation, but C/C++ is supported as well, and more languages are
planned.

Sphinx uses reStructuredText as its markup language, and many of its strengths
come from the power and straightforwardness of reStructuredText and its parsing
and translating suite, the Docutils.

Among its features are the following:

* Output formats: HTML (including derivative formats such as HTML Help, Epub
  and Qt Help), plain text, manual pages and LaTeX or direct PDF output
  using rst2pdf
* Extensive cross-references: semantic markup and automatic links
  for functions, classes, glossary terms and similar pieces of information
* Hierarchical structure: easy definition of a document tree, with automatic
  links to siblings, parents and children
* Automatic indices: general index as well as a module index
* Code handling: automatic highlighting using the Pygments highlighter
* Flexible HTML output using the Jinja 2 templating engine
* Various extensions are available, e.g. for automatic testing of snippets
  and inclusion of appropriately formatted docstrings
* Setuptools integration

#=============================================================================
%files			
%defattr(-, root,root, 0755)
%doc CHANGES LICENSE README.rst
%{_bindir}/%{lname}-*
%{python3_sitelib}/%{lname}/ext/autosummary/templates/autosummary/*.rst
%{python3_sitelib}/%{lname}/locale/%{lname}.pot
%{python3_sitelib}/%{lname}/locale/*/LC_MESSAGES/*.{js,mo,po}
%{python3_sitelib}/%{lname}/texinputs_win/Makefile_t
%{python3_sitelib}/%{lname}/search/non-minified-js/*.js
%{python3_sitelib}/%{lname}/search/minified-js/*.js
%{python3_sitelib}/%{lname}/templates/*
%{python3_sitelib}/%{lname}/texinputs/*
%{python3_sitelib}/%{lname}/themes/*
%{python3_sitelib}/%{lname}/*.py
%{python3_sitelib}/%{lname}/py.typed
%{python3_sitelib}/%{lname}/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/*/*.py
%{python3_sitelib}/%{lname}/*/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/*/*/*.py
%{python3_sitelib}/%{lname}/*/*/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/locale/.tx/config
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
